Arch CloseHoles/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
(2 intermediate revisions by one other user not shown)
Line 2: Line 2:


{{Docnav
{{Docnav
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
Line 11: Line 11:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Arch CloseHoles|Name/ro=Arch CloseHoles|Workbenches=[[Arch Module/ro|Arch]]|MenuLocation=Arch → Utilities → Close Holes|SeeAlso=[[Arch Check/ro|Arch Check]]}}
|Name=Arch CloseHoles
|Name/ro=Arch CloseHoles
|MenuLocation=Arch → Utilities → Close Holes
|Workbenches=[[Arch_Workbench/ro|Arch]]
|SeeAlso=[[Arch Check/ro|Arch Check]]
}}
</div>
</div>


Line 25: Line 31:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
# Selectați un obiect [[Part Module|Shape]]
# Selectați un obiect [[Part_Workbench|Shape]]
# Apăsați {{KEY|[[Image:Arch CloseHoles.png|16px]] '''Close Holes'''}} entry in Arch -> Utilities menu
# Apăsați {{Button|[[Image:Arch CloseHoles.svg|16px]] [[Arch CloseHoles|Close Holes]]}} entry in {{MenuCommand|Arch Utilities → Close Holes}}
</div>
</div>


Line 65: Line 71:
solid = Arch.closeHole(Wall.Shape)
solid = Arch.closeHole(Wall.Shape)
}}
}}



{{Docnav
{{Docnav
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|RemoveShape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|MergeWalls]]
|[[Arch_Workbench|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
Line 76: Line 83:


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 15:21, 9 March 2022

Arch CloseHoles

poziția meniului
Arch → Utilities → Close Holes
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Check

Descriere

Acest instrument identifică găuri/orificii (secvența circulară a marginilor deschise) într-un obiect Shape și încearcă să le închidă prin adăugarea unei fațete noi constrută pe acea secvență de margini. Totuși, trebuie să vă asigurați că rezultatul este un obiect solid.

Cum se folosește

  1. Selectați un obiect Shape
  2. Apăsați Close Holes entry in Arch → Utilities → Close Holes

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

solid = closeHole(shape)

închide o gaură într-o formă deschisă

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)